* {
	box-sizing: border-box;
}
body {
	width: 100vw;
	margin: 0;
	color: #f0f0f0;
	background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAAFCAYAAACEhIafAAAAAXNSR0IB2cksfwAAAARnQU1BAACxjwv8YQUAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUwAADqYAAAOpgAABdwnLpRPAAAAAlwSFlzAAAuIwAALiMBeKU/dgAAACFJREFUCNcFwbENAAAEAMGPxP7jUVCY5N1RpziKarAQnfDS1A1KLAqSFAAAAABJRU5ErkJggg==');
	background-repeat: no-repeat;
	background-size: 100vw  100vh;
	background-attachment: fixed;
	font-family: 'Noto Sans', sans-serif;
}
#main-container {
	width: 96vw;
	margin: 10px auto;
	padding: 50px;
	border-radius: 4px;
	max-width: 800px;
	background-color: #000000b0;
}
#list-title {
	font-size: 36px;
	font-weight: bold;
	text-align: center;
	margin: 0 auto 24px auto;
}
#list-info-popup {
	background-color: #202020;
	position: fixed;
	top: 50vh;
	left: 50vw;
	transform: translate(-50%, -50%);
	width: 94vw;
	max-width: 720px;
	padding: 24px;
	border-radius: 8px;
	z-index: 1;
}
#list-info-title {
	font-size: 24px;
	font-weight: bold;
	margin: 0;
}
#list-info-text {
	font-size: 18px;
	margin: 16px auto;
	line-height: 1.4;
	overflow: clip;
}
#list-info-close {
	display: inline-block;
	font-size: 20px;
	margin: 0;
	padding: 8px;
}
#list-info-button {
	display: inline-block;
	font-size: 20px;
	padding: 8px;
	border-radius: 8px;
	margin: 4px;
	background-color: #20202080;
	transition: 0.1s;
}
#list-info-button:hover {
	background-color: #202020a0;
}
.level-container {
	width: 100%;
	margin: 16px auto 0 auto;
	border: 2px solid #f0f0f040;
	border-radius: 4px;
	padding: 32px;
}
.level-title {
	font-size: 28px;
	font-weight: bold;
	margin: 0;
}
.level-creator {
	font-size: 22px;
	margin-top: 8px;
}
.level-details {
	font-size: 18px;
	margin-top: 4px;
	position: relative;
	top: 8px;
}
@keyframes loader-spin {
	from {rotate: 0deg;}
	to {rotate: 360deg;}
}
#loading-spinner {
	width: 60px;
	height: 60px;
	margin: 40px auto;
	border-radius: 30px;
	border: 6px dashed #f0f0f0;
	animation: loader-spin 2s linear infinite;
}
#loading-failure {
	font-size: 28px;
	text-align: center;
	margin-top: 40px;
}

@media screen and (max-width: 800px){
	#main-container {
		padding: 20px;
	}
	#list-title {
		font-size: 32px;
		margin-top: 20px;
	}
	#list-info-button {
		font-size: 16px;
	}
	.level-container {
		padding: 20px;
	}
	.level-title {
		font-size: 24px;
	}
	.level-creator {
		font-size: 18px;
	}
	.level-details {
		font-size: 16px;
		position: static;
		margin-top: 8px;
	}
}
